Skip to main content
POST
/
entities
Create Entity
curl --request POST \
  --url https://api.otim.com/v0/entities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "type": "individual",
  "fullName": "<string>",
  "businessName": "<string>"
}
'
{
  "id": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
  "email": "jsmith@example.com",
  "type": "individual",
  "kycStatus": "not_started",
  "tosStatus": "not_started",
  "kycLink": "https://verify.otim.com/kyc/abc123",
  "tosLink": "https://verify.otim.com/tos/abc123",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Body

application/json
email
string<email>
required

Email address for the Entity.

type
enum<string>
required

The type of Entity.

Available options:
individual,
business
fullName
string

Full name of the individual. Required when type is individual.

businessName
string

Name of the business. Required when type is business.

Response

Entity created.

id
string
Example:

"ent_01JA1B2C3D4E5F6G7H8J9K0L"

email
string<email>
type
enum<string>
Available options:
individual,
business
kycStatus
string
Example:

"not_started"

tosStatus
string
Example:

"not_started"

Share this link with the Entity to begin identity verification.

Example:

"https://verify.otim.com/kyc/abc123"

Share this link with the Entity to accept terms of service.

Example:

"https://verify.otim.com/tos/abc123"

createdAt
string<date-time>